import TextField from '@material-ui/core/TextField';
import { makeStyles } from "@material-ui/core/styles";
import SendIcon from '@mui/icons-material/Send';
import MicNoneIcon from '@mui/icons-material/MicNone';
import Avatar from '@mui/material/Avatar';

const useStyles = makeStyles({
    form : {
        display: "flex",
        justifyContent: "space-between",
        alignContent: 'center',
        alignItems:'center',
        width: 700,
        position: 'fixed',
        bottom: 20,
    },
    input  : {
        width: 620
    },
    avatar: {
        '&:hover': {
            backgroundColor: 'rgb(41, 139, 231)',
            color: '#ffffff',
        }
    },
});

const SendMessage = () => {
    const classes = useStyles();
    return (
        <>
            <form className={classes.form}  noValidate autoComplete="off">
              <TextField
                label="Write a new message"
                className={classes.input}
              />
             <Avatar className={classes.avatar} sx={{
               backgroundColor: '#ffffff',
               width: 56, height: 56 ,color: 'rgb(41, 139, 231)'}}>
                  <SendIcon fontSize="medium" />
             </Avatar>                
            </form>
        </>
    )
}

export default SendMessage